add_library(
	StudioAppLib
		aboutpopup.cpp
		clawviewer.cpp
		filedialogmanager.cpp
		main.cpp
		newmenu.cpp
		projectexplorer.cpp
		projecttreemodel.cpp
		studioapp.cpp
)
target_compile_definitions(
	StudioAppLib PUBLIC
		OLYMPIC_LOAD_STUDIO_MODULES=1
		OLYMPIC_APP_NAME="Studio"
)
target_link_libraries(
	StudioAppLib PUBLIC
		OxClArgs
		OxLogConn
		Studio
)

target_include_directories(
	StudioAppLib PUBLIC
		../include
)

install(
	DIRECTORY
		../include/studioapp
	DESTINATION
		include
)

install(
	TARGETS
		StudioAppLib
	DESTINATION
		LIBRARY DESTINATION lib
		ARCHIVE DESTINATION lib
)
